gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType Describes an allocated or unallocated color.

The Gdk.Color structure is used to describe an allocated or unallocated color. Unallocated colors only have the red, green and blue ushort values initialized. Colors are allocated using the method. After a color is allocated the value in the field is valid.

`DrawRedLine (Gdk.Drawable drawable) { Gdk.GC gc = new Gdk.GC (drawable); Gdk.Color red_color = new Gdk.Color (0xff, 0, 0); // Use the system colormap, easy. Gdk.Colormap colormap = Gdk.Colormap.System; colormap.AllocColor (red_color, true, true); gc.Foreground = red_color; // Now you can use it drawable.DrawLine (gc, 0, 0, 100, 100); }`
- Constructor
  2.12.0.0
  Red value (0-255)
  Green value (0-255)
  Blue value (0-255)
  Color constructor from RGB byte values

  This constructs the color from three byte values for red, green and blue. Notice that the Gdk.Color structure actually uses 16-bit color values, so the byte values are mapped into the 16-bit value space. This is just a convenience routine to initialize this structure.

  To use the Gdk.Color you must allocate it within the current colormap.

  DrawRedLine (Gdk.Drawable drawable) { Gdk.GC gc = new Gdk.GC (drawable);

  Gdk.Color red_color = new Gdk.Color (0xff, 0, 0);

  // Use the system colormap, easy. Gdk.Colormap colormap = Gdk.Colormap.System;

  colormap.AllocColor (red_color, true, true);

  // Now you can use it drawable.DrawLine (gc, 0, 0, 100, 100); }
- Method
  2.12.0.0
  System.Obsolete
  System.Int32 `` `` a a To be added a To be added
- Method
  2.12.0.0
  System.Obsolete
  System.Int32 `` `` a a To be added a To be added
- Field
  2.12.0.0
  System.UInt16 Blue element of the color.
- Method
  2.12.0.0
  System.Obsolete
  System.Int32 `` `` a a To be added a To be added
- Method
  2.12.0.0
  System.Boolean `` The color to compare Compares whether two colors are equal. true if the red, green and blue components are the same

  Notice that this will not compare the value, it will only compare the red, green and blue elements.

- Method
  2.12.0.0
  System.Int32 To be added. To be added. To be added.
- Field
  2.12.0.0
  System.UInt16 Green element of the color.
- Property
  2.12.0.0
  GLib.GType The GLib.GType for Gdk.Color a The GLib.GType for the Gdk.Color class.
- Method
  2.12.0.0
  Gdk.Color `` A pointer to the unmanaged GdkColor structure. Creates a color from an unmanaged location. This returns a Gdk.Color structure.

  The parameter points to a C-based GdkColor structure. This routine creates a Gdk.Color structure from its unmanaged version.

- Method
  2.12.0.0
  GLib.Value `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  Gdk.Color `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` `` A specifying the color. The to fill in. Parses a textual specification of a color and fill in the red, green, and blue fields of a structure. A which indicates whether the parsing succeeded.

  The color is not allocated.

  The text string can be in any of the forms accepted by XParseColor; these include name for a color from rgb.txt, such as DarkSlateGray, or a hex specification such as #3050b2 or #35b.

- Field
  2.12.0.0
  System.UInt32 Pixel value for the color.

  Colors are specified in Gdk by their red, green and blue elements. But before the color can be used, the color has to be allocated in a given colormap. The value of the allocation is stored in this pixel field and it is the token used to render the color.

  The pixel value is initialized when using the method.

- Field
  2.12.0.0
  System.UInt16 Red element of the color.
- Method
  2.12.0.0
  System.String To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete
  System.Int32 `` `` a a To be added a To be added
- Field
  2.12.0.0
  Gdk.Color Unallocated, empty color.